Subject: bug#14882: closed (Re: bug#14882: make check failures)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 21 Jun 2016 07:12:02 +0000

Your bug report

#14882: make check failures

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
14882: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=14882
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#14882: make check failures
From: Andy Wingo <[email-masked]>
To: "Chang\, Christopher" <[email-masked]>
Cc: [email-masked]
Date: Tue, 21 Jun 2016 09:11:15 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Christopher,

Thanks for the report.  I think no one handled this because the 1.8
series was already not the latest stable release, and given that we're
about to release 2.2 I think it's probably best to close this one.  We
welcome new bug reports against the latest 2.0 stable releases, or the
2.2 pre-releases.

Cheers,

Andy

On Tue 16 Jul 2013 19:31, "Chang, Christopher" <[email-masked]> writes:

> Hi,
>
> I’m reporting these at the urging of the “make check” output.
>
> Built guile 1.8.8 with GCC 4.8.1 and the configuration
>
> ./configure --with-local-prefix=$HOME --prefix=$HOME -
> -build=x86_64-linux-gnu CPPFLAGS=-I$HOME/include LIBS='-ldl' -
> -enable-static --disable-shared --with-threads -
> -disable-error-on-warning
>
> Test failures were
>
> /home/cchang/Packages/guile-1.8.8/test-suite/standalone/test-require-extension:
> line 15: 34713 Segmentation fault (core dumped) guile -q -c '
> (require-extension (srfi 1)) (exit (procedure? take-right))'
>
> FAIL: test-require-extension
>
> ERROR: In procedure dynamic-link:
>
> ERROR: file: "./libtest-asmobs", message: "file not found"
>
> FAIL: test-asmobs
>
> /bin/sh: line 5: 34832 Segmentation fault (core dumped) builddir="."
> "../../pre-inst-guile-env" ${dir}$tst
>
> FAIL: test-fast-slot-ref
>
> /home/cchang/Packages/guile-1.8.8/test-suite/standalone/test-use-srfi:
> line 27: 34862 Segmentation fault (core dumped) guile -q -l
> /home/cchang/Packages/guile-1.8.8/libguile/stack-limit-calibration.scm
> --use-srfi=1,10 > /dev/null <<EOF
>
> (if (and (defined? 'partition)
>
> (defined? 'define-reader-ctor))
>
> (exit 0) ;; good
>
> (exit 1)) ;; bad
>
> EOF
>
> guile --use-srfi=1,10 fails to run
>
> FAIL: test-use-srfi
>
> Let me know if I can provide more info.
>
> Chris

Subject: make check failures
From: "Chang, Christopher" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Tue, 16 Jul 2013 11:31:41 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

   I'm reporting these at the urging of the "make check" output.
   Built guile 1.8.8 with GCC 4.8.1 and the configuration

./configure --with-local-prefix=$HOME --prefix=$HOME --build=x86_64-linux-gnu CPPFLAGS=-I$HOME/include LIBS='-ldl' --enable-static --disable-shared --with-threads --disable-error-on-warning

Test failures were

/home/cchang/Packages/guile-1.8.8/test-suite/standalone/test-require-extension: line 15: 34713 Segmentation fault      (core dumped) guile -q -c '(require-extension (srfi 1)) (exit (procedure? take-right))'
FAIL: test-require-extension

ERROR: In procedure dynamic-link:
ERROR: file: "./libtest-asmobs", message: "file not found"
FAIL: test-asmobs

/bin/sh: line 5: 34832 Segmentation fault      (core dumped) builddir="." "../../pre-inst-guile-env" ${dir}$tst
FAIL: test-fast-slot-ref

/home/cchang/Packages/guile-1.8.8/test-suite/standalone/test-use-srfi: line 27: 34862 Segmentation fault      (core dumped) guile -q -l /home/cchang/Packages/guile-1.8.8/libguile/stack-limit-calibration.scm --use-srfi=1,10 > /dev/null  <<EOF
(if (and (defined? 'partition)
         (defined? 'define-reader-ctor))
    (exit 0)   ;; good
    (exit 1))  ;; bad
EOF
guile --use-srfi=1,10 fails to run
FAIL: test-use-srfi

Let me know if I can provide more info.

Chris

--
Christopher H. Chang, Ph.D.
Computational Scientist IV
National Renewable Energy Laboratory
15013 Denver West Parkway, MS ESIF301
Golden, CO 80401
Phone (303) 275-3751
Fax (303) 275-4007